<template>
  <table class="u-full-width">
      <thead>
        <tr>
          <th>Médico</th>
          <th>Utente</th>
          <th>Nº SNS</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="patient of matchTable" :key="patient.sns">
          <td>{{ patient.doctor }}</td>
          <td>{{ patient.name }}</td>
          <td>{{ patient.sns }}</td>
        </tr>
      </tbody>
    </table>
</template>

<script>
export default {
    props:{
        matches:{ type: Object, required: true}
    },
    computed:{
        matchTable(){
            const patients = [];
            Object.keys(this.matches).forEach((k)=>{
                patients.push(
                    ...this.matches[k].map((el)=>({...el, doctor : k}))
                )
            });
            return patients
        }
    }
}
</script>

<style>

</style>